<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      th:with="activeTab='role'"
      layout:decorate="~{layout}">
    <head>
        <title>List Role</title>
    </head>
    <body>
        <section layout:fragment="content-header">
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Role</h2>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a th:href="@{/home}">Home</a>
                        </li>
                        <li class="breadcrumb-item">
                            <a th:href="@{/sso/role/list}">Role</a>
                        </li>
                        <li class="breadcrumb-item active">
                            <strong>List Role</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2">

                </div>
            </div>
        </section>
        <section layout:fragment="content">
            <div class="wrapper wrapper-content">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox ">
                            <div class="ibox-title">
                                <h5>List Role</h5>
                                <div class="ibox-tools">
                                    <a th:href="@{/sso/role/form}" class="btn btn-primary btn-xs"><i class="fa fa-plus"></i> Tambah Data Role</a>
                                </div>
                            </div>

                            <div class="ibox-content">
                                <div class="m-b-lg">
                                    <form th:action="@{/sso/role/list}" method="get" class="form-inline">
                                        <div class="input-group input-group-sm">
                                            <div class="form-group">
                                                <label class="col-form-label" for="label">Nama</label>
                                                <input type="text"  class="form-control form-control-lg" 
                                                       name="key" 
                                                       placeholder="Nama"  
                                                       th:if="${key == null}" />
                                                <input type="text"  class="form-control form-control-lg" 
                                                       name="key" 
                                                       placeholder="Nama" 
                                                       th:if="${key != null}"
                                                       th:value="${key}" />
                                            </div>
                                        </div>

                                        <button class="btn btn-white" type="submit">
                                            <i class="fa fa-search"></i> Search
                                        </button>

                                    </form>
                                </div>

                                <div class="table-responsive">
                                    <table class="table table-hover table-striped" >
                                        <thead>
                                            <tr>
                                                <th>Name</th>
                                                <th>Description</th>
                                                <th>Permissions</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr th:each="o : ${data.content}">
                                                <td th:text= "${o.name}"></td>
                                                <td th:text= "${o.description}"></td>
                                                <td>
                                                    <span style="margin-right: 5px" class="label label-info" th:each="y : ${o.permissions}" th:text="${y.value}"></span>
                                                </td>
                                                <td>
                                                    <a th:href="@{/sso/role/form(id=${o.id})}">    
                                                        <button class="btn btn-info btn-sm ladda-button"><i class="fa fa-pencil"></i> edit</button>
                                                    </a>
                                                    <a th:href="@{/sso/role/delete(id=${o.id})}">
                                                        <button class="btn btn-danger btn-sm ladda-button"><i class="fa fa-trash"></i> Delete</button>
                                                    </a>
                                                </td>
                                            </tr> 
                                        </tbody>
                                    </table>
                                </div>

                                <div class="row">
                                    <div class="col-sm-6">
                                        <div sd:pagination-summary="">info</div>
                                    </div>
                                    <div class="col-sm-6">
                                        <nav class="pull-right">
                                            <ul class="pagination" sd:pagination-split="7" sd:pagination="full">
                                                <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                            </ul>
                                        </nav>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </body>
</html>
